jQuery(document).ready(function($) {
    "use strict";
    const id = "wp-webhotelier_wp-webhotelier-custom-css_ace_editor";
    const container = document.getElementById(id);
    if (container) {
        const editor = ace.edit(id);
        function update() {
            const shouldShow = !editor.session.getValue().length;
            let node = editor.renderer.emptyMessageNode;
            if (!shouldShow && node) {
                editor.renderer.scroller.removeChild(
                    editor.renderer.emptyMessageNode
                );
                editor.renderer.emptyMessageNode = null;
            } else if (shouldShow && !node) {
                node = editor.renderer.emptyMessageNode = document.createElement(
                    "div"
                );
                node.textContent = ".testClass{ padding: 10px; }";
                node.className = "ace_invisible ace_emptyMessage";
                node.style.padding = "0 9px";
                editor.renderer.scroller.appendChild(node);
            }
        }
        editor.on("input", update);
        setTimeout(update, 100);
    }

    const checkout_date = $(document).find('select[id*="checkout-date"]');
    $(document).on('change', 'select[id*="checkout-date"]', showNightsOrCheckout);
    $(checkout_date).trigger("change"); //Initialize maximumn number nights in correct state

    $(document).on(
        "click",
        "div[data-dismissible] button.notice-dismiss",
        function(event) {
            event.preventDefault();
            let $this = $(this);

            let attr_value, option_name, dismissible_length, data;

            attr_value = $this
                .parent()
                .attr("data-dismissible")
                .split("-");

            dismissible_length = attr_value.pop();

            option_name = attr_value.join("-");

            data = {
                action: "dismiss_admin_notice",
                option_name: option_name,
                dismissible_length: dismissible_length,
                nonce: dismissible_notice.nonce
            };

            $.post(ajaxurl, data);
        }
    );
});

function showNightsOrCheckout(el) {
    const form = $(this).closest("form");
    paragraphElement = $(form)
        .find("[for$='max-nights']")
        .parent();

    if (
        $(el.target)
            .find(":checked")
            .val() == "1"
    ) {
        $(paragraphElement).hide(500);
    } else {
        $(paragraphElement).show(500);
    }
}
