<?php
/**
 * Provide the widget admin form
 *
 * @link       https://wplugged.com
 * @since      1.0.0
 *
 * @package    Wp_Webhotelier
 * @subpackage Wp_Webhotelier/admin/partials
 */
?>
<p>
    <label for="<?php echo esc_attr($this->get_field_id('url')); ?>"><?php esc_attr_e('Booking URL:', 'wp_webhotelier');?></label>
    <input
    class="widefat"
    id="<?php echo esc_attr($this->get_field_id('url')); ?>"
    name="<?php echo esc_attr($this->get_field_name('url')); ?>"
    type="text"
    value="<?php echo esc_attr($instance['url']); ?>">
</p>
<p>
    <label for="<?php echo esc_attr($this->get_field_id('checkout-date')); ?>"><?php esc_attr_e('Nights or Checkout Date:', 'wp_webhotelier');?></label>
    <select
    class="widefat"
    id="<?php echo esc_attr($this->get_field_id('checkout-date')); ?>"
    name="<?php echo esc_attr($this->get_field_name('checkout-date')); ?>" >
    <option value="1" <?php echo (esc_attr($instance['checkout-date'])) ? 'selected="selected"' : ""; ?> ><?php esc_attr_e('Checkout Date', 'wp-webhotelier') ?></option>
    <option value="0" <?php echo (!esc_attr($instance['checkout-date'])) ? 'selected="selected"' : ""; ?> ><?php esc_attr_e('Number of Nights', 'wp-webhotelier') ?></option>

    </select>
</p>
<p style="display: <?php echo (!esc_attr($instance['checkout-date'])) ? 'block' : 'none' ?>;">
    <label for="<?php echo esc_attr($this->get_field_id('max-nights')); ?>"><?php esc_attr_e('Maximum  Nights:', 'wp_webhotelier');?></label>
    <input
    class="widefat"
    id="<?php echo esc_attr($this->get_field_id('max-nights')); ?>"
    name="<?php echo esc_attr($this->get_field_name('max-nights')); ?>"
    type="number"
    min=1
    value="<?php echo esc_attr($instance['max-nights']); ?>">
</p>
<p>
    <label for="<?php echo esc_attr($this->get_field_id('max-rooms')); ?>"><?php esc_attr_e('Maximum  Rooms:', 'wp_webhotelier');?></label>
    <input
    class="widefat"
    id="<?php echo esc_attr($this->get_field_id('max-rooms')); ?>"
    name="<?php echo esc_attr($this->get_field_name('max-rooms')); ?>"
    type="number"
    min=1
    value="<?php echo esc_attr($instance['max-rooms']); ?>">
</p>
<p>
    <label for="<?php echo esc_attr($this->get_field_id('max-adults')); ?>"><?php esc_attr_e('Maximum  Adults:', 'wp_webhotelier');?></label>
    <input
    class="widefat"
    id="<?php echo esc_attr($this->get_field_id('max-adults')); ?>"
    name="<?php echo esc_attr($this->get_field_name('max-adults')); ?>"
    type="number"
    min=1
    value="<?php echo esc_attr($instance['max-adults']); ?>">
</p>
<p>
    <label for="<?php echo esc_attr($this->get_field_id('max-children')); ?>"><?php esc_attr_e('Maximum  Children:', 'wp_webhotelier');?></label>
    <input
    class="widefat"
    id="<?php echo esc_attr($this->get_field_id('max-children')); ?>"
    name="<?php echo esc_attr($this->get_field_name('max-children')); ?>"
    type="number"
    min=0
    value="<?php echo esc_attr($instance['max-children']); ?>">
</p>
<p>
    <label for="<?php echo esc_attr($this->get_field_id('max-infants')); ?>"><?php esc_attr_e('Maximum  Infants:', 'wp_webhotelier');?></label>
    <input
    class="widefat"
    id="<?php echo esc_attr($this->get_field_id('max-infants')); ?>"
    name="<?php echo esc_attr($this->get_field_name('max-infants')); ?>"
    type="number"
    min=0
    value="<?php echo esc_attr($instance['max-infants']); ?>">
</p>
<p>
    <label for="<?php echo esc_attr($this->get_field_id('orientation')); ?>"><?php esc_attr_e('Form Orientation:', 'wp_webhotelier');?></label>
    <select
    class="widefat"
    id="<?php echo esc_attr($this->get_field_id('orientation')); ?>"
    name="<?php echo esc_attr($this->get_field_name('orientation')); ?>"
    >
    <option value="horizontal" <?php echo esc_attr($instance['orientation']) === "horizontal" ? "selected" : ""; ?>><?php _e('Horizontal', 'wp-webhotelier')?></option>
    <option value="vertical" <?php echo esc_attr($instance['orientation']) === "vertical" ? "selected" : ""; ?>><?php _e('Vertical', 'wp-webhotelier')?></option>
    <option value="fluid" <?php echo esc_attr($instance['orientation']) === "fluid" ? "selected" : ""; ?>><?php _e('Fluid', 'wp-webhotelier')?></option>
    </select>
</p>
<p>
    <label for="<?php echo esc_attr($this->get_field_id('css-class')); ?>"><?php esc_attr_e('Custom CSS Class:', 'wp_webhotelier');?></label>
    <input
    class="widefat"
    id="<?php echo esc_attr($this->get_field_id('css-class')); ?>"
    name="<?php echo esc_attr($this->get_field_name('css-class')); ?>"
    type="text"
    value="<?php echo esc_attr($instance['css-class']); ?>">
</p>