(function ($) {
    "use strict";

    $(document).ready(function () {
        const forms = document.querySelectorAll(".wp-webhotelier form");
        for (let index = 0; index < forms.length; index++) {
            const form = forms[index];
            const checkIn = form.querySelector('input[name="checkin"]');
            const checkOut = form.querySelector('input[name="checkout"]');

            if (checkOut) {
                flatpickr(checkOut, {
                    disableMobile: "true",
                    minDate: incrementDate("+2d"),
                    dateFormat: "Y-m-d",
                    altInput: true,
                    altFormat: "F, J Y"
                });

                if (checkOut && checkOut.value == "") {
                    checkOut._flatpickr.setDate(incrementDate("+2d"));
                }
            }

            flatpickr(checkIn, {
                disableMobile: "true",
                minDate: incrementDate("+1d"),
                dateFormat: "Y-m-d",
                altInput: true,
                altFormat: "F, J Y",
                onChange: function (selectedDate) {
                    if (checkOut) {
                        selectedDate[0].setDate(selectedDate[0].getDate() + 1);
                        checkOut._flatpickr.set("minDate", selectedDate[0]);
                        checkOut._flatpickr.setDate(selectedDate[0]);
                    }
                }
            });

            if (checkIn && checkIn.value == "") {
                checkIn._flatpickr.setDate(incrementDate("+1d"));
            }
        }
    });
})(jQuery);

function incrementDate(incString) {
    const dateChar = incString.slice(-1);
    let multiplier = 1;
    const inc = parseInt(incString.slice(1, -1));
    switch (dateChar) {
        case "d":
            multiplier = 1;
            break;
        case "w":
            multiplier = 7;
            break;
    }
    let today = new Date();
    today.setDate(today.getDate() + inc * multiplier);
    return today;
}
